#include <FL/Fl.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Window.H>
#include <string>

int main(void)
{
  std::string text = "العربية עברית";
  std::string str1 = "Title: " + text;
  std::string str2 = "FriBiDi ON: " + text;
  std::string str3 = "FriBiDi OFF: " + text;

  // fribidi off (window title handled by WM)
  Fl_Widget::fribidi(0);
  Fl_Window w(250, 100, str1.c_str());
  w.begin();

  // fribidi on
  Fl_Widget::fribidi(1);
  Fl_Box b1(10, 10, 200, 30, str2.c_str());
  b1.align(FL_ALIGN_INSIDE|FL_ALIGN_LEFT);

  // fribidi off
  Fl_Widget::fribidi(0);
  Fl_Box b2(10, 50, 200, 30, str3.c_str());
  b2.align(FL_ALIGN_INSIDE|FL_ALIGN_LEFT);

  w.show();
  return Fl::run();
}

